Vigilfield Docs
API referenceDomains

`GET /domains` — list all domains in the org.

GET/domains

Query Parameters

domain?string

Exact-match filter on the domain name; used by availability lookups

includeUnverified?boolean

Include domains without a verified_at timestamp; defaults to false

Response Body

application/json

curl -X GET "https://example.com/domains"
{  "data": [    {      "auto_join_disabled_at": "string",      "consecutive_failure_count": 0,      "created_at": "string",      "degraded_at": "string",      "domain": "string",      "id": "string",      "last_checked_at": "string",      "last_verified_at": "string",      "org_id": "string",      "revoked_at": "string",      "settings": null,      "status": null,      "updated_at": "string",      "verification_token": "string",      "verified_at": "string"    }  ],  "page": 0,  "page_size": 0,  "total": 0,  "total_pages": 0}